import { AvailableResult } from './util/models';
interface AppUrlOpenResult extends AvailableResult {
    appUrlOpen?: string;
}
interface AppStateResult extends AvailableResult {
    state?: boolean;
}
interface LaunchUrlResult extends AvailableResult {
    launchUrl?: string;
}
declare function useAppState(): AppStateResult;
/**
 * Get the URL the app was originally launched with. Note: if
 * you want to detect future app opens, use `useAppUrlOpen` instead,
 * which will stay updated.
 */
declare function useLaunchUrl(): LaunchUrlResult;
declare function useAppUrlOpen(): AppUrlOpenResult;
export declare const AppHooks: {
    useAppState: typeof useAppState;
    useLaunchUrl: typeof useLaunchUrl;
    useAppUrlOpen: typeof useAppUrlOpen;
    availableFeatures: {
        appState: boolean;
        getLaunchUrl: boolean;
        appUrlOpen: boolean;
    };
};
export {};
