import { Plugins } from '@capacitor/core';
import { AvailableResult } from './util/models';
interface CloseResult extends AvailableResult {
    close: typeof Plugins.Browser.close;
}
interface OpenResult extends AvailableResult {
    open: typeof Plugins.Browser.open;
}
interface PrefetchResult extends AvailableResult {
    prefetch: typeof Plugins.Browser.prefetch;
}
declare function useClose(): CloseResult;
declare function useOpen(): OpenResult;
declare function usePrefetch(): PrefetchResult;
export declare const BrowserHooks: {
    useClose: typeof useClose;
    useOpen: typeof useOpen;
    usePrefetch: typeof usePrefetch;
    availableFeatures: {
        close: boolean;
        open: boolean;
        prefetch: boolean;
    };
};
export {};
