import { GeolocationPosition, GeolocationOptions } from '@capacitor/core';
import { AvailableResult } from './util/models';
interface GetCurrentPositionResult extends AvailableResult {
    error?: any;
    currentPosition?: GeolocationPosition;
    getPosition: (options?: GeolocationOptions) => void;
}
interface GeoWatchPositionResult extends AvailableResult {
    error?: any;
    currentPosition?: GeolocationPosition;
    startWatch: (options?: GeolocationOptions) => void;
    clearWatch: () => void;
}
declare function useCurrentPosition(options?: GeolocationOptions): GetCurrentPositionResult;
declare function useWatchPosition(): GeoWatchPositionResult;
export declare const GeolocationHooks: {
    useCurrentPosition: typeof useCurrentPosition;
    useWatchPosition: typeof useWatchPosition;
    availableFeatures: {
        getCurrentPosition: boolean;
        watchPosition: boolean;
    };
};
export {};
