import { AvailableResult } from './util/models';
interface StorageResult extends AvailableResult {
    get: (key: string) => Promise<string | null>;
    set: (key: string, value: string) => Promise<void>;
    remove: (key: string) => void;
    getKeys: () => Promise<{
        keys: string[];
    }>;
    clear: () => Promise<void>;
}
declare type StorageItemResult<T> = [T | undefined, ((value: T) => Promise<void>), boolean];
declare function useStorage(): StorageResult;
declare function useStorageItem<T>(key: string, initialValue?: T): StorageItemResult<T>;
export declare const StorageHooks: {
    useStorageItem: typeof useStorageItem;
    useStorage: typeof useStorage;
    availableFeatures: {
        useStorage: boolean;
    };
};
export {};
